# coding: utf-8

import logging

logger = logging.getLogger('orbipay_paymentsapi_client_logger')

__all__ = [
    "log_info",
    "log_debug",
    "log_warn",
    "log_error",
]


def is_debug_enabled():
    return logger.isEnabledFor(logging.DEBUG)


def is_info_enabled():
    return logger.isEnabledFor(logging.INFO)


def log_debug(message):
    logger.debug(message)


def log_info(message):
    logger.info(message)


def log_warn(message):
    logger.warn(message)
    
    
def log_error(message):
    logger.error(message)
