# coding: utf-8

"""
    ############################################################################################
    ## This class subject to change without prior notice, Please dont use this class directly.##
    ############################################################################################
"""


import pprint
import re  # noqa: F401

import six

from orbipay_paymentsapi_client.models.customer_account_response import CustomerAccountResponse  # noqa: F401,E501


class CustomersCustomerAccountsResponse(object):
    """NOTE: 
    """

    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'list': 'list[CustomerAccountResponse]',
        'url': 'str'
    }

    attribute_map = {
        'list': 'list',
        'url': 'url'
    }

    def __init__(self, list=None, url=None):  # noqa: E501
        """CustomersCustomerAccountsResponse - a model defined in Swagger"""  # noqa: E501

        self._list = None
        self._url = None
        self.discriminator = None

        if list is not None:
            self.list = list
        if url is not None:
            self.url = url

    def __getitem__(self,key):
        return getattr(self,key)

    @property
    def list(self):
        """Gets the list of this CustomersCustomerAccountsResponse.  # noqa: E501


        :return: The list of this CustomersCustomerAccountsResponse.  # noqa: E501
        :rtype: list[CustomerAccountResponse]
        """
        return self._list

    @list.setter
    def list(self, list):
        """Sets the list of this CustomersCustomerAccountsResponse.


        :param list: The list of this CustomersCustomerAccountsResponse.  # noqa: E501
        :type: list[CustomerAccountResponse]
        """
        self._list = list

    @property
    def url(self):
        """Gets the url of this CustomersCustomerAccountsResponse.  # noqa: E501

        This URL fetches the list of Customer accounts of a customer.  # noqa: E501

        :return: The url of this CustomersCustomerAccountsResponse.  # noqa: E501
        :rtype: str
        """
        return self._url

    @url.setter
    def url(self, url):
        """Sets the url of this CustomersCustomerAccountsResponse.

        This URL fetches the list of Customer accounts of a customer.  # noqa: E501

        :param url: The url of this CustomersCustomerAccountsResponse.  # noqa: E501
        :type: str
        """
        self._url = url

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(CustomersCustomerAccountsResponse, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, CustomersCustomerAccountsResponse):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
