# coding: utf-8

"""
    ############################################################################################
    ## This class subject to change without prior notice, Please dont use this class directly.##
    ############################################################################################
"""


import pprint
import re  # noqa: F401

import six


class AddressVo(object):
    """NOTE: 
    """

    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'address_line1': 'str',
        'address_line2': 'str',
        'address_city': 'str',
        'address_state': 'str',
        'address_country': 'str',
        'address_zip1': 'str',
        'address_zip2': 'str'
    }

    attribute_map = {
        'address_line1': 'address_line1',
        'address_line2': 'address_line2',
        'address_city': 'address_city',
        'address_state': 'address_state',
        'address_country': 'address_country',
        'address_zip1': 'address_zip1',
        'address_zip2': 'address_zip2'
    }

    def __init__(self, address_line1=None, address_line2=None, address_city=None, address_state=None, address_country=None, address_zip1=None, address_zip2=None):  # noqa: E501
        """AddressVo - a model defined in Swagger"""  # noqa: E501

        self._address_line1 = None
        self._address_line2 = None
        self._address_city = None
        self._address_state = None
        self._address_country = None
        self._address_zip1 = None
        self._address_zip2 = None
        self.discriminator = None

        if address_line1 is not None:
            self.address_line1 = address_line1
        if address_line2 is not None:
            self.address_line2 = address_line2
        if address_city is not None:
            self.address_city = address_city
        if address_state is not None:
            self.address_state = address_state
        if address_country is not None:
            self.address_country = address_country
        if address_zip1 is not None:
            self.address_zip1 = address_zip1
        if address_zip2 is not None:
            self.address_zip2 = address_zip2

    def __getitem__(self,key):
        return getattr(self,key)

    @property
    def address_line1(self):
        """Gets the address_line1 of this AddressVo.  # noqa: E501

        Line one of the address.  # noqa: E501

        :return: The address_line1 of this AddressVo.  # noqa: E501
        :rtype: str
        """
        return self._address_line1

    @address_line1.setter
    def address_line1(self, address_line1):
        """Sets the address_line1 of this AddressVo.

        Line one of the address.  # noqa: E501

        :param address_line1: The address_line1 of this AddressVo.  # noqa: E501
        :type: str
        """
        self._address_line1 = address_line1

    @property
    def address_line2(self):
        """Gets the address_line2 of this AddressVo.  # noqa: E501

        Line two of the address.  # noqa: E501

        :return: The address_line2 of this AddressVo.  # noqa: E501
        :rtype: str
        """
        return self._address_line2

    @address_line2.setter
    def address_line2(self, address_line2):
        """Sets the address_line2 of this AddressVo.

        Line two of the address.  # noqa: E501

        :param address_line2: The address_line2 of this AddressVo.  # noqa: E501
        :type: str
        """
        self._address_line2 = address_line2

    @property
    def address_city(self):
        """Gets the address_city of this AddressVo.  # noqa: E501

        City of the address.  # noqa: E501

        :return: The address_city of this AddressVo.  # noqa: E501
        :rtype: str
        """
        return self._address_city

    @address_city.setter
    def address_city(self, address_city):
        """Sets the address_city of this AddressVo.

        City of the address.  # noqa: E501

        :param address_city: The address_city of this AddressVo.  # noqa: E501
        :type: str
        """
        self._address_city = address_city

    @property
    def address_state(self):
        """Gets the address_state of this AddressVo.  # noqa: E501

        The state or province code as per ISO_3166-2.  # noqa: E501

        :return: The address_state of this AddressVo.  # noqa: E501
        :rtype: str
        """
        return self._address_state

    @address_state.setter
    def address_state(self, address_state):
        """Sets the address_state of this AddressVo.

        The state or province code as per ISO_3166-2.  # noqa: E501

        :param address_state: The address_state of this AddressVo.  # noqa: E501
        :type: str
        """
        self._address_state = address_state

    @property
    def address_country(self):
        """Gets the address_country of this AddressVo.  # noqa: E501

        The 3 letter country code as per ISO 3166-1 (alpha-3).  # noqa: E501

        :return: The address_country of this AddressVo.  # noqa: E501
        :rtype: str
        """
        return self._address_country

    @address_country.setter
    def address_country(self, address_country):
        """Sets the address_country of this AddressVo.

        The 3 letter country code as per ISO 3166-1 (alpha-3).  # noqa: E501

        :param address_country: The address_country of this AddressVo.  # noqa: E501
        :type: str
        """
        self._address_country = address_country

    @property
    def address_zip1(self):
        """Gets the address_zip1 of this AddressVo.  # noqa: E501

        The first part of the postal code for the address as per the system followed in the appropriate country where it belongs.   # noqa: E501

        :return: The address_zip1 of this AddressVo.  # noqa: E501
        :rtype: str
        """
        return self._address_zip1

    @address_zip1.setter
    def address_zip1(self, address_zip1):
        """Sets the address_zip1 of this AddressVo.

        The first part of the postal code for the address as per the system followed in the appropriate country where it belongs.   # noqa: E501

        :param address_zip1: The address_zip1 of this AddressVo.  # noqa: E501
        :type: str
        """
        self._address_zip1 = address_zip1

    @property
    def address_zip2(self):
        """Gets the address_zip2 of this AddressVo.  # noqa: E501

        The 4 digit add-on code used, in addition to the 5 digit postal code, by the US Postal Service.  # noqa: E501

        :return: The address_zip2 of this AddressVo.  # noqa: E501
        :rtype: str
        """
        return self._address_zip2

    @address_zip2.setter
    def address_zip2(self, address_zip2):
        """Sets the address_zip2 of this AddressVo.

        The 4 digit add-on code used, in addition to the 5 digit postal code, by the US Postal Service.  # noqa: E501

        :param address_zip2: The address_zip2 of this AddressVo.  # noqa: E501
        :type: str
        """
        self._address_zip2 = address_zip2

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(AddressVo, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, AddressVo):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
