# coding: utf-8

"""
    ############################################################################################
    ## This class subject to change without prior notice, Please dont use this class directly.##
    ############################################################################################
"""


import pprint
import re  # noqa: F401

import six

from orbipay_paymentsapi_client.models.resource_audit_vo import ResourceAuditVo  # noqa: F401,E501


class AuditInfoVo(object):
    """NOTE: 
    """

    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'created': 'ResourceAuditVo',
        'last_modified': 'ResourceAuditVo'
    }

    attribute_map = {
        'created': 'created',
        'last_modified': 'last_modified'
    }

    def __init__(self, created=None, last_modified=None):  # noqa: E501
        """AuditInfoVo - a model defined in Swagger"""  # noqa: E501

        self._created = None
        self._last_modified = None
        self.discriminator = None

        if created is not None:
            self.created = created
        if last_modified is not None:
            self.last_modified = last_modified

    def __getitem__(self,key):
        return getattr(self,key)

    @property
    def created(self):
        """Gets the created of this AuditInfoVo.  # noqa: E501


        :return: The created of this AuditInfoVo.  # noqa: E501
        :rtype: ResourceAuditVo
        """
        return self._created

    @created.setter
    def created(self, created):
        """Sets the created of this AuditInfoVo.


        :param created: The created of this AuditInfoVo.  # noqa: E501
        :type: ResourceAuditVo
        """
        self._created = created

    @property
    def last_modified(self):
        """Gets the last_modified of this AuditInfoVo.  # noqa: E501


        :return: The last_modified of this AuditInfoVo.  # noqa: E501
        :rtype: ResourceAuditVo
        """
        return self._last_modified

    @last_modified.setter
    def last_modified(self, last_modified):
        """Sets the last_modified of this AuditInfoVo.


        :param last_modified: The last_modified of this AuditInfoVo.  # noqa: E501
        :type: ResourceAuditVo
        """
        self._last_modified = last_modified

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(AuditInfoVo, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, AuditInfoVo):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
