# coding: utf-8

"""
    ############################################################################################
    ## This class subject to change without prior notice, Please dont use this class directly.##
    ############################################################################################
"""


import pprint
import re  # noqa: F401

import six


class DeleteResponse(object):
    """NOTE: 
    """

    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'deleted': 'str',
        'id': 'str'
    }

    attribute_map = {
        'deleted': 'deleted',
        'id': 'id'
    }

    def __init__(self, deleted=None, id=None):  # noqa: E501
        """DeleteResponse - a model defined in Swagger"""  # noqa: E501

        self._deleted = None
        self._id = None
        self.discriminator = None

        if deleted is not None:
            self.deleted = deleted
        if id is not None:
            self.id = id

    def __getitem__(self,key):
        return getattr(self,key)

    @property
    def deleted(self):
        """Gets the deleted of this DeleteResponse.  # noqa: E501


        :return: The deleted of this DeleteResponse.  # noqa: E501
        :rtype: str
        """
        return self._deleted

    @deleted.setter
    def deleted(self, deleted):
        """Sets the deleted of this DeleteResponse.


        :param deleted: The deleted of this DeleteResponse.  # noqa: E501
        :type: str
        """
        self._deleted = deleted

    @property
    def id(self):
        """Gets the id of this DeleteResponse.  # noqa: E501

        The id of the deleted resource.  # noqa: E501

        :return: The id of this DeleteResponse.  # noqa: E501
        :rtype: str
        """
        return self._id

    @id.setter
    def id(self, id):
        """Sets the id of this DeleteResponse.

        The id of the deleted resource.  # noqa: E501

        :param id: The id of this DeleteResponse.  # noqa: E501
        :type: str
        """
        self._id = id

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(DeleteResponse, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, DeleteResponse):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
