# coding: utf-8

"""
    ############################################################################################
    ## This class subject to change without prior notice, Please dont use this class directly.##
    ############################################################################################
"""


import pprint
import re  # noqa: F401

import six


class PaymentAuthorizationSnapshotResponse(object):
    """NOTE: 
    """

    """
    Attributes:
      swagger_types (dict): The key is attribute name
                            and the value is attribute type.
      attribute_map (dict): The key is attribute name
                            and the value is json key in definition.
    """
    swagger_types = {
        'id': 'str',
        'url': 'str'
    }

    attribute_map = {
        'id': 'id',
        'url': 'url'
    }

    def __init__(self, id=None, url=None):  # noqa: E501
        """PaymentAuthorizationSnapshotResponse - a model defined in Swagger"""  # noqa: E501

        self._id = None
        self._url = None
        self.discriminator = None

        if id is not None:
            self.id = id
        if url is not None:
            self.url = url

    def __getitem__(self,key):
        return getattr(self,key)

    @property
    def id(self):
        """Gets the id of this PaymentAuthorizationSnapshotResponse.  # noqa: E501

        Id is a unique identifier assigned to the payment authorization in EBPP.  # noqa: E501

        :return: The id of this PaymentAuthorizationSnapshotResponse.  # noqa: E501
        :rtype: str
        """
        return self._id

    @id.setter
    def id(self, id):
        """Sets the id of this PaymentAuthorizationSnapshotResponse.

        Id is a unique identifier assigned to the payment authorization in EBPP.  # noqa: E501

        :param id: The id of this PaymentAuthorizationSnapshotResponse.  # noqa: E501
        :type: str
        """
        self._id = id

    @property
    def url(self):
        """Gets the url of this PaymentAuthorizationSnapshotResponse.  # noqa: E501

        This URL fetches the payment authorization details.  # noqa: E501

        :return: The url of this PaymentAuthorizationSnapshotResponse.  # noqa: E501
        :rtype: str
        """
        return self._url

    @url.setter
    def url(self, url):
        """Sets the url of this PaymentAuthorizationSnapshotResponse.

        This URL fetches the payment authorization details.  # noqa: E501

        :param url: The url of this PaymentAuthorizationSnapshotResponse.  # noqa: E501
        :type: str
        """
        self._url = url

    def to_dict(self):
        """Returns the model properties as a dict"""
        result = {}

        for attr, _ in six.iteritems(self.swagger_types):
            value = getattr(self, attr)
            if isinstance(value, list):
                result[attr] = list(map(
                    lambda x: x.to_dict() if hasattr(x, "to_dict") else x,
                    value
                ))
            elif hasattr(value, "to_dict"):
                result[attr] = value.to_dict()
            elif isinstance(value, dict):
                result[attr] = dict(map(
                    lambda item: (item[0], item[1].to_dict())
                    if hasattr(item[1], "to_dict") else item,
                    value.items()
                ))
            else:
                result[attr] = value
        if issubclass(PaymentAuthorizationSnapshotResponse, dict):
            for key, value in self.items():
                result[key] = value

        return result

    def to_str(self):
        """Returns the string representation of the model"""
        return pprint.pformat(self.to_dict())

    def __repr__(self):
        """For `print` and `pprint`"""
        return self.to_str()

    def __eq__(self, other):
        """Returns true if both objects are equal"""
        if not isinstance(other, PaymentAuthorizationSnapshotResponse):
            return False

        return self.__dict__ == other.__dict__

    def __ne__(self, other):
        """Returns true if both objects are not equal"""
        return not self == other
